Subject: [bug#26988] Add desktop-file-utils to all gtk applications

From: [email-masked] (宋文武)
Date: Tue, 04 Jul 2017 19:40:39 +0800

A profile hook checks manifest entries for some condition, then usually
adding a item to the profile's united output.

In case of the current 'xdg-desktop-database', it checks if any entry
has a reference of glib, then adding the 'mimeinfo.cache' to the
profile.

So, ...

Danny Milosavljevic <[email-masked]> writes:

> Hi 宋文武,
>
> On Mon, 03 Jul 2017 23:32:11 +0800
> [email-masked] (宋文武) wrote:
>
>> >> GTK+ and Qt, it won't catch some cases where we add the ".desktop" file
>> >> manually such as "rxvt-unicode".
>
> How about just adding desktop-file-utils as a native-input to rxvt-unicode (and other few special cases) with a comment saying that's because of the desktop file?

In the sitution where you have rxvt-unicode but not any glib based
applications in your profile, this will ensure the 'mimeinfo.cache' got
built.  But since there are no glib based things, I guess it won't be used.

>
>> So I end up with modify the profile hook to test for GLib, it should
>> work in most cases.
>
> Glib is a basic C library that hasn't much to do with GUI.  I think that if you check for glib you'll run the hook for system daemons, dbus etc.

Yeah, the hook only run once for all the packages in the profile.